diff --git a/web/pgadmin/browser/static/js/node.js b/web/pgadmin/browser/static/js/node.js
index a7f43974..695d6636 100644
--- a/web/pgadmin/browser/static/js/node.js
+++ b/web/pgadmin/browser/static/js/node.js
@@ -395,7 +395,7 @@ define('pgadmin.browser.node', [
               success: function() {
                 // Clear timeout and remove message
                 clearTimeout(timer);
-                $msgDiv.addClass('hidden');
+                $msgDiv.addClass('d-none');
 
                 // We got the latest attributes of the object. Render the view
                 // now.
diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index 7bfbcb90..06154c14 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -28,6 +28,7 @@ define([
     setGroupClassName: 'set-group pg-el-xs-12',
     tabClassName: 'backform-tab pg-el-xs-12',
     setGroupContentClassName: 'fieldset-content pg-el-xs-12',
+    hiddenClassName: 'd-none',
   });
 
   Backform.controlMapper = {
diff --git a/web/pgadmin/static/scss/_bootstrap.overrides.scss b/web/pgadmin/static/scss/_bootstrap.overrides.scss
index 078053bc..22dd377d 100644
--- a/web/pgadmin/static/scss/_bootstrap.overrides.scss
+++ b/web/pgadmin/static/scss/_bootstrap.overrides.scss
@@ -250,3 +250,8 @@ td.switch-cell > div.bootstrap-switch {
   background-color: $input-disabled-bg !important;
   opacity: 1;
 }
+
+
+.btn-toolbar {
+  min-width: 100%;
+}
diff --git a/web/pgadmin/static/scss/_pgadmin.style.scss b/web/pgadmin/static/scss/_pgadmin.style.scss
index 92cdf46a..63867e69 100644
--- a/web/pgadmin/static/scss/_pgadmin.style.scss
+++ b/web/pgadmin/static/scss/_pgadmin.style.scss
@@ -935,6 +935,7 @@ lgg-el-container[el=md] .pg-el-lg-8,
 }
 
 .pg-prop-btn-group {
+  min-width: 100%;
   left: 0px;
   right: 0px;
   padding: 2px;
diff --git a/web/pgadmin/tools/debugger/templates/debugger/direct.html b/web/pgadmin/tools/debugger/templates/debugger/direct.html
index f1a64032..efbff876 100644
--- a/web/pgadmin/tools/debugger/templates/debugger/direct.html
+++ b/web/pgadmin/tools/debugger/templates/debugger/direct.html
@@ -36,8 +36,8 @@ try {
 </style>
 {% endif %}
 <div class="debugger_main_container" tabindex="0">
-    <nav class="navbar-inverse navbar-fixed-top">
-        <div id="btn-toolbar" class="btn-toolbar pg-prop-btn-group bg-gray-lighter border-gray-light" role="toolbar" aria-label="">
+    <nav class="navbar navbar-expand-lg fixed-top">
+        <div id="btn-toolbar" class="pg-prop-btn-group bg-gray-lighter border-gray-light" role="toolbar" aria-label="">
             <div class="btn-group" role="group" aria-label="">
                 <button type="button" class="btn btn-default btn-step-into" id="btn-step-into"
                         title=""
